Subject: Re: Can we remove support for standard_conforming_strings = off yet?

From: Julien Rouhaud <[email-masked]>
Date: Mon, 5 Jan 2026 20:01:15 +0800

On Mon, Jan 05, 2026 at 05:03:48PM +0700, John Naylor wrote:
> On Thu, Jan 1, 2026 at 12:04 AM Tom Lane <[email-masked]> wrote:
> > Personally I would call it a deal-breaker if I thought it'd affect
> > more than a very very tiny number of people.  But the entire premise
> > of this patch is that nobody is using standard_conforming_strings =
> > off in production anymore.  If that isn't true it's probably a
> > mistake to go forward anyway.
> 
> FWIW, I spent a few minutes looking, and I only found issues from ~5
> years ago about software not working with the setting off. I didn't
> see any details on what they were running in the application stack
> that required it:
> 
> https://github.com/PostgREST/postgrest/issues/1992
> 
> https://github.com/npgsql/npgsql/issues/3333

I had another one ~4 years ago:

https://github.com/powa-team/powa-archivist/issues/51

Since I fixed powa-archivist at that time, I don't know if anyone else would
have faced the same problem, although the OP is likely still using the same
setting.

---

From: Tom Lane <[email-masked]>
Date: Tue, 20 Jan 2026 13:31:53 -0500

> have faced the same problem, although the OP is likely still using the same

So, nobody's actually spoken against this change.  I think we should
go forward with it, for the reasons I gave at the top of the thread
and because "if not now, when?".  I have little doubt that if there
is anyone still running with standard_conforming_strings = off, they
aren't going to change until forced to.  So unless we want to live
with the potential security hazard forever, we're going to have to
make a breaking change sometime.

			regards, tom lane

---

From: "David G. Johnston" <[email-masked]>
Date: Tue, 20 Jan 2026 13:02:33 -0700

On Tuesday, January 20, 2026, Tom Lane <[email-masked]> wrote:

> I think we should go forward with it,
>

Seems entirely reasonable for us to do this.

+1

David J.